<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_db98357e662ee4057f89ee50fd63a2" . "c5" => base64_decode("Q2xlYXJpbm" . "cgc2hhcmVk" . "IGFzc2V0cy" . "BjYWNoZQ=="), "_22ac6aa" . "e2762e0f" . "310c4953" . "84c477dc" . "8" => base64_decode("LmdpdGt" . "lZXA="), "_d9040256" . "bff96ad2c" . "221f79439" . "e0560c" => base64_decode("Q2xlYXJpbmcgZGlyZWN0b3J5I" . "A=="), "_282505db60b" . "6a60f1a0c54a" . "0f8c27092" => base64_decode("VEVNUExBVEVSX0NBQ0hFX0RJ" . "Ug=="), "_db7b295629faa16027a2c2630" . "95eba70" => base64_decode("cGhwX3Nh" . "cGlfbmFt" . "ZQ=="), "_2ac6cb4" . "32a5df95" . "9efdffbc" . "d288d074" . "5" => base64_decode("Q2xlYXJpbmcgdGVtcGxhdG" . "VyIGNhY2hl"), "_2935eb81473a5cdf164ba52dc3" . "1d305c" => base64_decode("Q2xlYXJpbmcgbWVtb3J5IGNhY2hlc" . "w=="), "_4d707fab93bebb0" . "0bbe69e8159697c9" . "0" => base64_decode(""), "_3d13c2fddaab" . "71a09eeaf2260" . "7f1db0f" => base64_decode("Q2xlYXJpbmcgYWxsIHNoYXJlZ" . "CBjYWNoZXM="), "_8fd6da143a742433037d3741c26c9" . "f14" => base64_decode("Q2xlYXJpbmcgbG9j" . "YWwgYXNzZXRzIGNh" . "Y2hl"), "_edd716f0baedc2427c" . "121be529bf222d" => base64_decode("Q2xlYXJpbmcgY" . "WxsIGxvY2FsIG" . "NhY2hlcw=="), "_f02edf67305f5d98" . "4784e5a63acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlcyAocnVubmluZyBmcm9" . "tIHRoZSBjb21tYW5kIGxpbmUp"), "_8fec21706bd243b37ec" . "f62b1caf8fb8a" => base64_decode("Y" . "2" . "x" . "p"), "_8368ecd0faa75c04b4e54eac3bd4" . "5d63" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF0a" . "W9uIGNhY2hl"));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_282505db60b6a60f1a0c" . "54a0f8c27092"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_edd716f0" . "baedc2427" . "c121be529" . "bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_db7b295629faa16027a2" . "c263095eba70"]() !== $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_8fec21706bd243b37ecf62b1caf8fb" . "8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_f02edf67305f5d984784e5a" . "63acb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3d13c2fddaab71a" . "09eeaf22607f1db0" . "f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8368ecd0faa75c04b4e54eac3bd45d" . "63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_8fd6da143a742433037d3" . "741c26c9f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_db98357e662ee4057f89ee50fd" . "63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2935eb81473a5cdf164ba52dc3" . "1d305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe6" . "9e8159697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4d707fab93bebb00b" . "be69e8159697c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2ac6cb4" . "32a5df95" . "9efdffbc" . "d288d074" . "5"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d9040256bff96ad2c221f79" . "439e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_22ac6aae2762e0f310c49" . "5384c477dc8"]);
    }
}